Subject: New Reply Received - No any one of the person call me if he call why he delivery for wrong adres and I order 3 times u wa...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 01 May 2021 10:45:51 +0000

Hi Algaili Abdelbagee Ahmed,  The customer has responded to the ticket.  No any one of the person call me if he call why he delivery for wrong adres and I order 3 times u wa...  Ticket comment <div>Thank you no need I will order from any other place I never gona order from Centerpoint agine  and I will never recommend for any of my friends to shoping there it's shoping exsperinace is 0%</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2486852